#!/bin/sh

getSWBD()
{
	if [ -f /sbin/sin ];
	then
		_abc=`/sbin/sin | \
		 /bin/grep Platform | \
		 /usr/bin/cut -d" " -f2 | \
		 /usr/bin/cut -d"," -f1`
		 /bin/echo $_abc
	else
	  ""
	fi
 }

product=`getSWBD`

case "$1" in
'start')
	
	case "$product" in 
		"SWBD1000" | "SWBD1001" | "SWBD1002" | "SWBD131")
		echo "Configuring IP addresses"
		/nfabos/bin/nfdiag skippciscan ifconfig
		if [ -f /var/log/diagtest.current ]
		then
			/bin/dmesg >> /var/log/diagconsole.log
			/sbin/ifconfig | tee -a /var/log/diagconsole.log
		    echo "Running diag burnin script on MM in M4/M8/M16 Chassis"
		    /nfabos/bin/nfdiag diagrunburnin 2>&1 | tee -a /var/log/diagconsole.log &
		else
		    echo " "
		fi
		;;

		"SWBD1004" | "SWBD1005" | "SWBD1006" | "SWBD1008" | "SWBD1009" | "SWBD1010" | "SWBD1011") 
		_date=`/bin/date`
		echo "Starting nfdiag socket server: $_date"
		/bin/dmesg >> /var/log/diagconsole.log
		/bin/cat /proc/pci | tee -a /var/log/diagconsole.log
		/sbin/ifconfig | tee -a /var/log/diagconsole.log
#		/nfabos/bin/nfdiag sserv &
		/nfabos/bin/nfdiag sserv 2>&1 | tee -a /var/log/diagconsole.log &
		;;

		"SWBD131" | "SWBD137" | "SWBD138" |  "SWBD153" | "SWBD154" | "SWBD164")
		echo "Configuring IP addresses"
		/nfabos/bin/nfdiag ifconfig
		if [ -f /var/log/diagtest.current ]
		then
			/bin/dmesg >> /var/log/diagconsole.log
			/sbin/ifconfig | tee -a /var/log/diagconsole.log
		    echo "Running diag burnin script on Castor/Castor_t/Blackbird/Rigel1/Rigel2/RigelMOR"
		    /nfabos/bin/nfdiag diagrunburnin 2>&1 | tee -a /var/log/diagconsole.log &
		else
		    echo " "
		fi
		;;

	esac
;;
'stop')

;;	
*)
    echo "usage: $0 {start | stop}"
;;
esac
