# $PATH should be in the beginning so that fabos/bin is defined
# before /bin, so that passwd command in /fabos/bin 
# is selected since it is wrapper for /bin/passwd which also saves passwd
# changes in flash
PATH="/bin:/usr/bin:/sbin:/usr/sbin:/fabos/link_bin:/fabos/link_abin:/fabos/link_sbin:/fabos/factory:/fabos/xtool"

if [ -d /nfabos/bin ]; then
  nfdiag=1
  PATH="/nfabos/bin:"$PATH
else
  nfdiag=0
  PATH=$PATH":/nfabos/bin"	
fi

HISTSIZE=500

alias ls='ls -CAF'

export PATH

# Set the control-C handler back to default
# This trap was turned off in /etc/profile.
# Note that this trap statement should be BEFORE chkdefaultpasswds
# otherwise control-C cannot be used to quit changing default passwords.
trap - INT
trap "" HUP

# fix for defect 78391
if [ $nfdiag -eq 0 ]; then
	alias reboot=/fabos/link_sbin/reboot
else
	alias reboot="/bin/partman -r"
fi

timeout 0
rm -rf ~/.inputrc
